## org.apache.poi.xwpf.usermodel
Class XWPFPicture

    java.lang.Object
      org.apache.poi.xwpf.usermodel.XWPFPicture

    public class XWPFPicture

extends java.lang.Object

Author:
  Philipp Epp

Constructor Summary
`XWPFPicture(org.openxmlformats.schemas.drawingml.x2006.picture.CTPicture ctPic, XWPFRun run)`

Method Summary
`org.openxmlformats.schemas.drawingml.x2006.picture.CTPicture` `getCTPicture()` Return the underlying CTPicture bean that holds all properties for this picture
`java.lang.String` `getDescription()`
`XWPFPictureData` `getPictureData()` Get the PictureData of the Picture, if present.
`void` `setPictureReference(PackageRelationship rel)` Link Picture with PictureData

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XWPFPicture

    public XWPFPicture(org.openxmlformats.schemas.drawingml.x2006.picture.CTPicture ctPic,
                       XWPFRun run)

Method Detail

### setPictureReference

    public void setPictureReference(PackageRelationship rel)

  Link Picture with PictureData

  Parameters:
    `rel` -

### getCTPicture

    public org.openxmlformats.schemas.drawingml.x2006.picture.CTPicture getCTPicture()

  Return the underlying CTPicture bean that holds all properties for this picture

  Returns:
    the underlying CTPicture bean

### getPictureData

    public XWPFPictureData getPictureData()

  Get the PictureData of the Picture, if present. Note - not all kinds of picture have data

### getDescription

    public java.lang.String getDescription()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.